/* DESKTOP */

@media (min-width:769px) {

    .btn-mobile {
        display: none;
    }

    header {
        background-color: transparent;
    }

    #nav-links {
        display: flex;
        flex-direction: row;
        position: static;
        gap: 4.438rem;
        width: auto;
        padding: 0;
        background-color: transparent;
    }

    .navbar .btn-default {
        display: block;
    }

    .hero {
        background-image: url(../assets/João\ IA\ 2\ 1.svg);
        width: 100%;
        min-height: 100vh;
        position: relative;
        display: flex;
    }

    .midiaBackground {
        width: 100%;
        height: 100%;
        position: absolute;
        inset: 0;
    }

    .midiaBackground img,
    video {
        width: 100%;
        height: 100%;
        object-fit: cover;
        object-position: center;
        position: absolute;
        inset: 0;
    }


    .hero-content {
        margin-left: 15%;
        max-width: 900px;
        z-index: 1;
        position: relative;
        padding-top: 40vh;
    }

    .title-hero {
        font-size: 2.5vw;
    }

    .txt-hero {
        font-size: 1.5vw;
    }

    .btn-action{
    background-color: #E67300;
    padding: 10px 90px;
    align-items: center;
    justify-content: center;
    max-width: 40vh;
    text-align: center;
    border-radius: 10px;
    transition: all 0.3s ease;
    margin-bottom: 12px;
}

    .stats-container {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        gap: 30px;
        justify-content: center;
        width: 100%;

    }

    .stat h2 {
        font-size: 2vw;
    }

    .stat p {
        font-size: 1vw;
    }

    /*SERVIÇOS*/
    .servicos {
        background-size: 30%;
        width: 100%;
        min-height: auto;
        padding: 50px 5px 0px 5px;
        justify-content: flex-start;
        align-items: center;
        overflow-x: auto;
        overflow-y: hidden;
    }

    .servicos:hover {
        opacity: 1;
    }

    .cursor-scroll {
        display: block;
        position: fixed;
        pointer-events: none;
        z-index: 9999;
        opacity: 0;
        transition: opacity 0.3s ease;
        transform: translate(-50%, -50%);
        background-color: rgba(230, 115, 0, 0.9);
        color: #ffffff;
        font-family: "DM Sans";
        font-size: 0.7rem;
        font-weight: 600;
        letter-spacing: 0.15rem;
        padding: 8px 14px;
        border-radius: 12px;
    }

    .cursor-scroll:active{
        opacity: 1;
    }


    .servicos-header {
        margin-bottom: 60px;
        max-width: 1200px;
    }

    .servicos-header h2 {
        font-size: 2rem;
    }

    .servicos-header p {
        font-size: 1rem;
    }

    /* LAYOUT LADO A LADO */
    .servicos-content {
        flex-direction: row;
        align-items: center;
        justify-content: center;
        width: 100%;
        margin-top: 0px;
    }

    .servicos-roleta {
        width: 240px;
        height: 300px;
        flex-shrink: 0;
        position: relative;
        display: block;
    }

    .swipe-hint {
        display: none;
    }

    .roleta-item {
        position: absolute;
        left: 0;
        transform-origin: left top;
        transition:
            transform 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94),
            opacity 0.5s ease,
            font-size 0.5s ease;
    }

    /*POSIÇÕES*/
    .roleta-item[data-pos="0"] {
        top: 125px;
        /* centro da roleta */
        transform: rotate(0deg);
        font-size: 1.5rem;
        font-weight: 600;
        opacity: 1;
        color: #E67300;
        filter: none;
    }

    .roleta-item[data-pos="1"] {
        top: 165px;
        transform: rotate(10deg);
        opacity: 0.5;
        font-size: 1.25rem;
        filter: blur(0.5px);
    }

    .roleta-item[data-pos="2"] {
        top: 205px;
        transform: rotate(15deg);
        opacity: 0.25;
        font-size: 1rem;
        filter: blur(0.6px);
    }

    .roleta-item[data-pos="3"] {
        top: 240px;
        transform: rotate(20deg);
        opacity: 0.15;
        font-size: 0.8rem;
        filter: blur(0.7px);
    }

    .roleta-item[data-pos="-1"] {
        top: 85px;
        transform: rotate(-10deg);
        opacity: 0.5;
        font-size: 1.25rem;
        filter: blur(0.5px);
    }

    .roleta-item[data-pos="-2"] {
        top: 45px;
        transform: rotate(-15deg);
        opacity: 0.25;
        font-size: 1rem;
        filter: blur(0.6px);
    }

    .roleta-item[data-pos="-3"] {
        top: 10px;
        transform: rotate(-20deg);
        opacity: 0.15;
        font-size: 0.85rem;
        filter: blur(0.6px);
    }

    /*DESCRIÇÕES*/

    .servicos-descricoes {
        margin-top: 80px;
        flex: 1;
        /*ocuopa o espaço ao lado da roleta*/
        max-width: 500px;
        width: auto;
        padding: 0;
        min-height: 180px;
        position: relative;
    }

    .servico-desc p {
        font-family: "Source Serif 4";
        font-size: 1rem;
        font-weight: 300;
        color: #c1c1c1;
        line-height: 1.8;
        text-align: center;
    }

    /*SOBRE NÓS*/

    .entre-dobras {
        position: relative;
        width: 100%;
        height: 0;
        overflow: visible;
        z-index: 2;
    }

    .iluminacao-entre {
        position: absolute;
        left: 50%;
        transform: translate(-115%, -10%);
        width: 1200px;
        pointer-events: none;

    }


    .container-sobre {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 80px 8%;
        width: 100%;
        height: auto;
    }


    .sobre-frase {
        width: 100%;
        font-size: 1.5rem;
        max-width: 700px;
        margin: 0 auto;
    }

    .line-stats-us {
        width: 100%;
        height: auto;
        position: relative;
        margin-bottom: 0px;
        justify-content: center;
        align-items: center;
    }

    .line-stats-us::before {
        content: "";
        width: 80%;
        height: 2px;

    }

    .sobre-texto {
        padding: 10px 5px 10px 5px;
        min-height: 320px;
        width: 40%;
    }

    .sobre-texto h2 {
        font-size: 1.5rem;
        text-align: left;
    }

    .sobre-texto p {
        font-size: 1.1rem;
        font-family: "Source Serif 4";
        font-weight: 300;
        text-align: left;
        margin-bottom: 16px;
    }

    .sobre-content {
        flex-direction: row;
        align-items: center;
        max-width: 1000px;
        margin: 40px auto;
        /*margem imagem*/
        width: 100%;
    }


    .sobre-imagem img {
        width: 500px;
        max-width: none;
    }

    /*QUEBRA LOGO*/

    .barra-clientes-logos p {
        font-size: 1rem;
    }

    .barra-clientes-logos button:hover {
    background-color: #ff9e3d;
    cursor: pointer;
    border-color: #E67300;
}

    /*PORTIFOLIO*/

    .portifolio-carrossel {
        background-color: black;
        position: relative;
        width: 100%;
        overflow: hidden; /* Esconde os vídeos que estão fora da tela */
        padding: 80px 0;
    }

    .portifolio-track {
        display: flex;
        gap: 20px;
        width: max-content; /* IMPEDE que os vídeos se espremam */
        transition: transform 0.6s cubic-bezier(0.25, 0.46, 0.45, 0.94);
        will-change: transform;
        align-items: center;
        padding: 0 50px;
    }

    .portifolio-card {
        width: 320px; 
        height: 530px;
        border-radius: 16px;
        opacity: 0.5;
        transition: transform 0.4s ease, opacity 0.4s ease;
    }

    .portifolio-card.active {
        width: 320px; /* cresce mais no desktop */
        height: 560px;
        transform: scale(1.15); /* remove o scale, usa width/height */
        opacity: 1;
    }

    .portifolio-card video {
        width: 100%;
        height: 100%;
        object-fit: cover;
        border-radius: 16px;
    }

    /* MOSTRA SETAS */
    .nav {
        display: block;
    }

    .nav:hover{
        background: rgb(157, 157, 157);
    }

    .controls {
        bottom: 15px;
        left: 15px;
    }

    /*CONTAINER FINAL*/

    .content-topicos {
        max-width: 1000px;
        margin: 40px auto;
        display: flex;
        align-items: center;
        justify-content: space-between;
        gap: 40px;
    }

    .btn-action-final{
    font-size: 0.785rem;
    transition: transform 0.3s ease;
    }

    .btn-action-final:hover {
    background-color: #ffa64c;
    transform: scale(1.1);
    }

    .textos {
        width: 40%;
    }

    .image-final {
        width: 50%;
        display: flex;
        justify-content: center;
    }

    .image-final img {
        width: 100%;
        max-width: 420px;
    }

   .container-footer {
        max-width: 1200px;
        margin: 10px auto;
    }

    .final-final{
        max-width: 1200px;
        margin: 0 auto;
    }

    .entre-dobras-2 {
        position: absolute;
        bottom: -50px;
        left: 0; 
        transform: none;
        width: auto;
    }

    .iluminacao-entre-2 {
        position: absolute;
        left: 0; /* ← lateral esquerda */
        right: auto;
        width: 1000px;
        opacity: 0.8;
        transform: translateX(-90%) translateY(-90%);
        pointer-events: none;
        z-index: -1;
    }

    /*CARROSSEL STUDIO*/

    .studio {
        padding: 80px 0;
    }

    .studio-header h2 {
        font-size: 2rem;
    }

    .studio-carrossel {
        max-width: 900px;
        margin: 0 auto;
    }

    .studio-fotos {
        width: 90%;
        height: 420px;
    }

    .studio-card img {
        height: 500px; /* mais alto no desktop */
        object-fit: cover;
    }

    .studio-seta {
        font-size: 1.5rem;
        padding: 16px;
    }

    .dot {
        width: 10px;
        height: 10px;
    }


    footer {
        width: 100%;
    }

    .content-footer{
        background: rgba(2, 2, 2, 0.24);
        backdrop-filter: blur(16px) brightness(0.8) saturate(1.2);
        -webkit-backdrop-filter: blur(10px);
        padding: 0;
    }

    .container-footer {
        max-width: 1200px; /* remove o limite */
        padding: 10px 8%;
        width: 100%;
    }

    .direitos a{
        font-size: 0.685rem;
    }

    .footer-col {
    display: flex;
    flex-direction: column;
    gap: 5px;
    max-width: 400px;
    margin: 0 10px;
    }

footer h4, address, a{
    font-family: "DM Sans";
    font-size: 0.685rem;
    font-weight: 300;
}

}